<?xml version="1.0" encoding="UTF-8" ?> 
<ejb-jar xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/ejb-jar_3_0.xsd" version="3.0">
 <enterprise-beans>
  <message-driven>
     <ejb-name>PurchaseOrderMDB</ejb-name>
     <ejb-class>org.spec.jent.ejb.supplier.mdb.PurchaseOrderMDB</ejb-class>
     <env-entry>
          <env-entry-name>buyer.payloadsize.min</env-entry-name>
            <env-entry-type>java.lang.Integer</env-entry-type>
            <env-entry-value>100</env-entry-value>
            <!-- This env entry is for minimum payload size of the buyer -->
      </env-entry>
      <env-entry>
          <env-entry-name>buyer.payloadsize.max</env-entry-name>
            <env-entry-type>java.lang.Integer</env-entry-type>
            <env-entry-value>500</env-entry-value>
            <!-- This env entry is for maximum payload size of the buyer -->
      </env-entry>
      <env-entry>
          <env-entry-name>buyer.attachment.percent</env-entry-name>
            <env-entry-type>java.lang.Integer</env-entry-type>
            <env-entry-value>50</env-entry-value>
            <!-- This env entry sets the percentage of payload sent by buyer as attachment -->
      </env-entry>
  </message-driven>
 </enterprise-beans>
</ejb-jar>